# _*_ coding:utf-8 _*_
_author_ = 'wenxin'
_date_ = '2020/6/11 11:03'
import requests
import allure
import pytest
from common import getHeader
from common.getData import DoExcelByPandas

@allure.feature('系统设置')
class TestSystem():
    parametrize = DoExcelByPandas().get_data_for_pytest('./data/data.xlsx', 'Sheet1')
    # data = DoExcelByPandas.get_data_for_allure('./data/data.xlsx','Sheet1')
    def setup_class(self):
        print("setup_function：在用例执行前执行")

    def teardown_class(self):
        print("teardown_function：在用例执行后执行")
    @allure.title('{story}')
    @pytest.mark.parametrize('id,url,data,story,method,severity,condition,except_result',parametrize)
    def test(self,id,url,data,story,method,severity,condition,except_result):  # test开头的测试函数
        print('正在执行',story)
        headers = getHeader.get_Header()
        url =  url
        json = eval(data)
        if method == 'post':
            r = requests.post(url = url,json = json,headers = headers)
        else:
            r = requests.get(url=url)
        response = r.json()
        # print (type(response[condition]))
        assert response[condition] == str(except_result)

if __name__ == '__main__':
    pytest.main(['-s','test_System.py']) #-s参数是为了显示用例的打印信息。 -q参数只显示结果，不显示过程


